from aws_cdk import core
from stack.skeleton_stack import SkeletonStack
from stack.env_stack import Env
from dotenv import load_dotenv
import os
from check_cdk import check_cdk
from config import Config

load_dotenv('.env.aws')
load_dotenv(verbose=True,
            dotenv_path='.env.aws.' + os.getenv('ENVIRONMENT'))

check_cdk()

config = Config()

app = core.App()

env_stack = Env(
    app, "env",
    config=config.skeleton(),
    env=config.env)

skeleton = SkeletonStack(env_stack, "skeleton",
                         config=config.skeleton())

app.synth()
