import subprocess


def check_cdk():
    # Check whether the expected version of the AWS CDK CLI is used
    expected_cdk_cli = b'1.19.0 (build 5597bbe)\n'
    reported_cdk_cli = subprocess.check_output(['cdk', '--version'])
    if reported_cdk_cli != expected_cdk_cli:
        print(f'Reported AWS CDK CLI version is {reported_cdk_cli}')
        print(f'Expected AWS CDK CLI version is {expected_cdk_cli}')
        raise ValueError('Unexpected version for the AWS CDK CLI')

    # Check whether the expected version of the modules is used
    # We assume that we use the same module version for all
    # aws-cdk components
    expected_cdk_module = b'aws-cdk.core==1.19.0\n'
    rep = subprocess.check_output(['pip freeze | grep aws-cdk.core'],
                                  shell=True)
    if expected_cdk_module != rep:
        print(f'Reported AWS CDK module version is {rep}')
        print(f'Expected AWS CDK module version is {expected_cdk_module}')
        raise ValueError('Unexpected version for the AWS CDK module')
