from aws_cdk import core
import os
import stringcase
from dotenv import load_dotenv


class Config():

    def __init__(self, **kwargs) -> None:
        super().__init__(**kwargs)

        load_dotenv()
        load_dotenv('.env.aws')

        self.environment = os.getenv('ENVIRONMENT')
        self.stack_name_orig = os.getenv('STACK_NAME')

        env_file_name = ".env.aws." + self.environment

        load_dotenv(env_file_name)

        self.env = core.Environment(
            account=os.getenv('AWS_ACCOUNT'),
            region=os.getenv('AWS_REGION')
        )
        stack_snake = stringcase.snakecase(os.getenv('STACK_NAME'))
        self.stack_name = stringcase.camelcase(stack_snake)

    def skeleton(self):
        __config = {
            'environment': self.environment,
            'stack_name': self.stack_name,
            'cidr_block': os.getenv('SKELETON_VPC_CIDR_BLOCK')
        }
        return __config
