from aws_cdk import (
    aws_s3 as s3,
    core,
)
from dotenv import load_dotenv


load_dotenv()


class Env(core.Stack):

    def __init__(
        self,
        scope: core.Construct,
        id: str,
        config: dict,
        **kwargs
    ) -> None:
        super().__init__(scope, id, **kwargs)

        self.logs_bucket = s3.Bucket(
            self, f'{config["stack_name"]}LogsBucket',
            access_control=s3.BucketAccessControl.PRIVATE,
            encryption=s3.BucketEncryption.KMS_MANAGED,
            removal_policy=core.RemovalPolicy(
                core.RemovalPolicy.RETAIN
            )
        )
